<?php
/* Essential Grid support functions
------------------------------------------------------------------------------- */


// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('consultor_essential_grid_theme_setup9')) {
	add_action( 'after_setup_theme', 'consultor_essential_grid_theme_setup9', 9 );
	function consultor_essential_grid_theme_setup9() {
		if (consultor_exists_essential_grid()) {
			add_action( 'wp_enqueue_scripts', 							'consultor_essential_grid_frontend_scripts', 1100 );
			add_filter( 'consultor_filter_merge_styles',					'consultor_essential_grid_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'consultor_filter_tgmpa_required_plugins',		'consultor_essential_grid_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'consultor_essential_grid_tgmpa_required_plugins' ) ) {
	function consultor_essential_grid_tgmpa_required_plugins($list=array()) {
		if (consultor_storage_isset('required_plugins', 'essential-grid')) {
			$path = consultor_get_file_dir('plugins/essential-grid/essential-grid.zip');
			if (!empty($path) || consultor_get_theme_setting('tgmpa_upload')) {
				$list[] = array(
						'name' 		=> consultor_storage_get_array('required_plugins', 'essential-grid'),
						'slug' 		=> 'essential-grid',
						'source'	=> !empty($path) ? $path : 'upload://essential-grid.zip',
						'required' 	=> false
				);
			}
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'consultor_exists_essential_grid' ) ) {
	function consultor_exists_essential_grid() {
		return defined('EG_PLUGIN_PATH');
	}
}
	
// Enqueue plugin's custom styles
if ( !function_exists( 'consultor_essential_grid_frontend_scripts' ) ) {
	function consultor_essential_grid_frontend_scripts() {
		if (consultor_is_on(consultor_get_theme_option('debug_mode')) && consultor_get_file_dir('plugins/essential-grid/essential-grid.css')!='')
			wp_enqueue_style( 'consultor-essential-grid',  consultor_get_file_url('plugins/essential-grid/essential-grid.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'consultor_essential_grid_merge_styles' ) ) {
	function consultor_essential_grid_merge_styles($list) {
		$list[] = 'plugins/essential-grid/essential-grid.css';
		return $list;
	}
}
?>