<?php
/* M-Chart support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('consultor_m_chart_theme_setup9')) {
	add_action( 'after_setup_theme', 'consultor_m_chart_theme_setup9', 9 );
	function consultor_m_chart_theme_setup9() {
		if (is_admin()) {
			add_filter( 'consultor_filter_tgmpa_required_plugins', 'consultor_m_chart_tgmpa_required_plugins' );
		}
	}
}


// Filter to add in the required plugins list
if ( !function_exists( 'consultor_m_chart_tgmpa_required_plugins' ) ) {
    function consultor_m_chart_tgmpa_required_plugins($list=array()) {
        if (consultor_storage_isset('required_plugins', 'm-chart')) {
            $list[] = array(
                'name' 		=> consultor_storage_get_array('required_plugins', 'm-chart'),
                'slug' 		=> 'm-chart',
                'required' 	=> false
            );
        }
        return $list;
    }
}

//Graph Configuration options --- based on HighCharts
//-----------------------------------------------------------------------
if ( !function_exists('consultor_m_chart_chart_set_options') ) {
	add_filter( 'm_chart_chart_args', 'consultor_m_chart_chart_set_options', 10 );
	function consultor_m_chart_chart_set_options( $args ) {

		$args['options']['title']['display'] = false;

		$colors = consultor_get_scheme_colors( $scheme = consultor_get_theme_option( 'color_scheme' ) );
		if (isset($colors['text_link'])) {
			if (isset($args['data']['datasets'][0])) {
				$args['data']['datasets'][0]['backgroundColor'] = $colors['text_link'];
				$args['data']['datasets'][0]['borderColor'] = $colors['text_link'];
			}
			if (isset($args['data']['datasets'][1])) {
				$args['data']['datasets'][1]['backgroundColor'] = $colors['text_link2'];
				$args['data']['datasets'][1]['borderColor'] = $colors['text_link2'];
			}
		}


		return $args;
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'consultor_exists_m_chart' ) ) {
	function consultor_exists_m_chart() {
		return function_exists('m_chart');
	}
}

?>