<?php
/* wp-live-chat support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('consultor_wp_live_chat_support_theme_setup9')) {
	add_action( 'after_setup_theme', 'consultor_wp_live_chat_support_theme_setup9', 9 );
	function consultor_wp_live_chat_support_theme_setup9() {
		if (is_admin()) {
			add_filter( 'consultor_filter_tgmpa_required_plugins', 'consultor_wp_live_chat_support_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'consultor_wp_live_chat_support_tgmpa_required_plugins' ) ) {
    function consultor_wp_live_chat_support_tgmpa_required_plugins($list=array()) {
        if (consultor_storage_isset('required_plugins', 'wp-live-chat-support')) {
            $list[] = array(
                'name' 		=> consultor_storage_get_array('required_plugins', 'wp-live-chat-support'),
                'slug' 		=> 'wp-live-chat-support',
                'required' 	=> false
            );
        }
        return $list;
    }
}

// Check if plugin installed and activated
if ( !function_exists( 'consultor_exists_wp_live_chat_support' ) ) {
	function consultor_exists_wp_live_chat_support() {
		return defined('WPLC_BASIC_PLUGIN_DIR');
	}
}

?>